Package: org.codehaus.groovy.tools.shell.util

## [Groovy] Class SimpleCompletor

- org.codehaus.groovy.tools.shell.util.SimpleCompletor

- All Implemented Interfaces and Traits:
    Completer

      class SimpleCompletor

  Support for simple completors.

  Authors:
    Jason Dillon
  Version:
    \$Id\$

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `SortedSet` | `candidates`
    `String` | `delimiter` A delimiter to use to qualify completions.

  - ### Constructor Summary

    Constructors
    Constructor and description
    `SimpleCompletor (String[] candidates)`
    `SimpleCompletor ()`
    `SimpleCompletor (Closure loader)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `add(String candidate)`
    `void` | `addCandidateString(String string)`
    `int` | `complete(String buffer, int cursor, List clist)`
    `SortedSet` | `getCandidates()`
    `Object` | `leftShift(String s)`
    `void` | `setCandidateStrings(String[] strings)`
    `void` | `setCandidates(SortedSet candidates)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### SortedSet candidates

    - #### String delimiter

      A delimiter to use to qualify completions.

  - ### Constructor Detail

    - #### SimpleCompletor(String[] candidates)

    - #### SimpleCompletor()

    - #### SimpleCompletor(Closure loader)

  - ### Method Detail

    - #### void add(String candidate)

    - #### void addCandidateString(String string)

    - #### int complete(String buffer, int cursor, List clist)

    - #### SortedSet getCandidates()

    - #### Object leftShift(String s)

    - #### void setCandidateStrings(String[] strings)

    - #### void setCandidates(SortedSet candidates)